{
  # Services to start
  services = {
    upower.enable = true;
    libinput.enable = true; # Input Handling
    fstrim.enable = true; # SSD Optimizer
    gvfs.enable = true; # For Mounting USB & More
    power-profiles-daemon.enable = true;
    tumbler.enable = true; # Image/video preview

    smartd = {
      enable = true;
      autodetect = true;
    };
  };
}
